Bug 953719

Summary: successful yum or rpm install reports failed
Product: [Fedora] Fedora Reporter: Ian Mortimer <i.mortimer>
Component: rpmAssignee: Panu Matilainen <pmatilai>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 20CC: ffesti, i.mortimer, jzeleny, novyjindrich, packaging-team-maint, pknirsch, pmatilai
Target Milestone: ---Keywords: Upstream
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: rpm-4.11.2-1.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1061730 (view as bug list) Environment:
Last Closed: 2014-02-16 23:21:58 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1061730    
Attachments:
Description Flags
output of: rpm -vvv --justdb package-version-1.rpm none

Description Ian Mortimer 2013-04-19 03:21:56 UTC
Created attachment 737503 [details]
output of: rpm -vvv --justdb package-version-1.rpm

Description of problem:

A large package built on EL6 and which installs without errors on EL6 produces an error - install failed - with either yum or rpm.  All the files are correctly installed (as confirmed by rpm -Vp package.rpm) but the package is not listed as installed by either yum or rpm.

Version-Release number of selected component (if applicable):
rpm-4.10.3.1-1.fc18.x86_64


How reproducible:

Always.


Steps to Reproduce:
1. yum install or rpm -ivh package-version-1.rpm
2.
3.
  
Actual results:
Package files are installed but yum or rpm report install as failed.  yum reports additionally: was supposed to be installed but is not!


Expected results:

Install should succeed as it does on EL6.


Additional info:

Package was built on EL6, but other packages built on EL6 the exact same way install without errors and this package installs without error on EL6.

rpm --rebuilddb didn't help.


Thanks
--
Ian

Comment 1 Panu Matilainen 2013-04-24 06:31:26 UTC
The symptoms sound a lot like bug 706935: there's a window near the maximum header size where a package can be built but installation fails because of data added to the header during installation. However the reproducer I've seen for that case causes EL6 to crash whereas newer versions behave like reported here so its possible there's something else at play. Any chance you could make the reproducer package available (privately if need be) for reproducing purposes?

Comment 2 Panu Matilainen 2013-05-20 10:22:41 UTC
Any chance you could make the reproducer package available (privately if need be) for reproducing purposes?

Comment 3 Ian Mortimer 2013-05-21 01:36:27 UTC
(In reply to Panu Matilainen from comment #2)

> Any chance you could make the reproducer package available 

It's part of a commercial package (Matlab) so I can't easily make it available.  I had to split the package into 3 rpms to fit under the rpm header limit and the largest is the one causing problems.  Probably found a corner case where it just makes it under the limit on EL6 but gets too big on Fedora.

It's not a major problem for us so I'm happy to close the bug.


Thanks
--
Ian

Comment 4 Fedora End Of Life 2013-12-21 12:53:35 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Panu Matilainen 2014-02-05 12:16:34 UTC
I think I found the issue while I was investigating something entirely different:
http://rpm.org/gitweb?p=rpm.git;a=commitdiff;h=da3a3a14e757ccd517e2eb2a3f0293ff48b3ff7f

F18 is EOL by now so wont get fixed there, but newer Fedora versions are affected as well and require updates for this.

Comment 6 Panu Matilainen 2014-02-05 14:00:18 UTC
Another "minor" side-effect of this bug is that bloats the Packages rpmdb file to almost double the size.

Prior to the fix in comment #5:
[root@localhost rpm]# ./rpm -U --nosignature --justdb --root /srv/test/ ~pmatilai/mft/f19-std.mft 
[root@localhost rpm]# ls -l /srv/test/var/lib/rpm/Packages 
-rw-r--r--. 1 root root 24403968 Feb  5 15:54 /srv/test/var/lib/rpm/Packages

With the fix:
[root@localhost rpm]# ./rpm -U --nosignature --justdb --root /srv/test/ ~pmatilai/mft/f19-std.mft 
[root@localhost rpm]# ls -l /srv/test/var/lib/rpm/Packages 
-rw-r--r--. 1 root root 12865536 Feb  5 15:55 /srv/test/var/lib/rpm/Packages

Disk has become too cheap and plentiful for this to go entirely unnoticed for so long...

Anyway, thanks for reporting the issue, even if it took me ages to puzzle it out.

Comment 7 Fedora Update System 2014-02-13 09:02:00 UTC
rpm-4.11.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rpm-4.11.2-1.fc20

Comment 8 Fedora Update System 2014-02-13 09:43:42 UTC
rpm-4.11.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rpm-4.11.2-1.fc19

Comment 9 Fedora Update System 2014-02-14 07:56:16 UTC
Package rpm-4.11.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpm-4.11.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2467/rpm-4.11.2-1.fc20
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-02-16 23:21:58 UTC
rpm-4.11.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-04-09 01:00:31 UTC
rpm-4.11.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Ian Mortimer 2014-07-01 02:39:39 UTC
The ticket is closed but just adding this comment to clear the needinfo request.